import React from "react";

//import clients
import _sampleClient from "../../clients/sampleClient/sampleClient";

//import components
import LoadingComponent from "../../components/LoadingScreen";

//create client objects
const sampleClient = new _sampleClient();

class SampleClientContainer extends React.Component {
    
    constructor() {
        super();
        this.state = {
            data: undefined
        }
    }

    componentDidMount(){
        sampleClient.getData(res => {
            this.setState({
                data: res
            });
        });
    }

    render() {
        if(this.state.data === undefined){
            return(<LoadingComponent/>);
        }
        return (
            <React.Fragment>
                <h2>This is sample client container</h2>
                <h4>Result:</h4>
                <code>{JSON.stringify(this.state.data)}</code>
            </React.Fragment>
        );
    }
}

export default SampleClientContainer;